package com.ruoyi.web.modules.content.service;

import java.util.List;
import java.util.Map;
import com.ruoyi.web.modules.content.domain.BizHomeBanner;
import com.ruoyi.web.modules.content.dto.BannerSortDTO;
import com.ruoyi.web.modules.content.vo.BannerListVO;
import com.ruoyi.web.modules.content.vo.HomeBannerAppVO;

/**
 * 首页 Banner 服务
 */
public interface IBannerService
{
    List<BannerListVO> selectBannerList(BizHomeBanner query);

    BizHomeBanner selectBannerById(Long bannerId);

    Map<String, Object> insertBanner(BizHomeBanner row);

    Map<String, Object> updateBanner(BizHomeBanner row);

    void updateSortNo(BannerSortDTO dto, String operator);

    String deleteBannerByIds(Long[] bannerIds, String operator);

    List<HomeBannerAppVO> listBannersForApp();
}
